Subject: Re: [PATCH net-next v2 3/3] net: phy: marvell10g: place in powersave mode at probe

From: Russell King - ARM Linux admin <[email-masked]>
Date: Fri, 10 Apr 2020 15:44:08 +0100

On Fri, Apr 10, 2020 at 04:39:48PM +0200, Matteo Croce wrote:
> On Fri, Apr 10, 2020 at 4:37 PM Russell King - ARM Linux admin
> <[email-masked]> wrote:
> >
> > On Fri, Apr 10, 2020 at 03:19:14PM +0100, Russell King - ARM Linux admin wrote:
> > > On Fri, Apr 10, 2020 at 03:48:34PM +0200, Matteo Croce wrote:
> > > > On Fri, Apr 10, 2020 at 3:24 PM Russell King <[email-masked]> wrote:
> > > > >
> > > > > Place the 88x3310 into powersaving mode when probing, which saves 600mW
> > > > > per PHY. For both PHYs on the Macchiatobin double-shot, this saves
> > > > > about 10% of the board idle power.
> > > > >
> > > > > Signed-off-by: Russell King <[email-masked]>
> > > >
> > > > Hi,
> > > >
> > > > I have a Macchiatobin double shot, and my 10G ports stop working after
> > > > this change.
> > > > I reverted this commit on top of latest net-next and now the ports work again.
> > >
> > > Please describe the problem in more detail.
> > >
> > > Do you have the interface up?  Does the PHY link with the partner?
> > > Is the problem just that traffic isn't passed?
> >
> > I've just retested on my Macchiatobin double shot, and it works fine.
> > What revision PHYs do you have?  Unfortunately, you can't read the
> > PHY ID except using mii-diag:
> >
> > # mii-diag eth0 -p 32769
> >
> > or
> >
> > # mii-diag eth1 -p 33025
> >
> > Looking at word 3 and 4, it will be either:
> >
> > 002b 09aa
> > 002b 09ab
> >
> > Thanks.
> >
> > --
> > RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
> > FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up
> >
> 
> 
> Hi Russel,
> 
> I have the interface up connected via a DAC Cable to an i40e card.
> When I set the link up I detect the carrier:
> 
> mvpp2 f2000000.ethernet eth0: PHY [f212a600.mdio-mii:00] driver
> [mv88x3310] (irq=POLL)
> mvpp2 f2000000.ethernet eth0: configuring for phy/10gbase-r link mode
> mvpp2 f2000000.ethernet eth0: Link is Up - 10Gbps/Full - flow control off
> 
> No traffic is received or can be sent.
> 
> How can I read the PHY revision?

I gave details in the email you just replied to - you have to use
mii-diag, there's no other way.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTC broadband for 0.8mile line in suburbia: sync at 10.2Mbps down 587kbps up